# - Config file for the mshr package
# It defines the following variables
#  MSHR_INCLUDE_DIRS  - include directories for mshr
#  MSHR_LIBRARIES_DIR - directory where the mshr library is located
#  MSHR_LIBRARIES     - libraries to link against
 
# Compute paths
get_filename_component(MSHR_CMAKE_DIR "${CMAKE_CURRENT_LIST_FILE}" PATH)
set(MSHR_INCLUDE_DIRS "/usr/lib/mpi/gcc/openmpi/include")
set(MSHR_EXTERNAL_INCLUDE_DIRS "/usr/lib/python3.6/site-packages/numpy/core/include;/usr/include/python3.6m;/usr/lib/mpi/gcc/openmpi/include;/usr/lib/python3.6/site-packages/ffc/backends/ufc;/usr/lib/mpi/gcc/openmpi/lib/petsc/3.7.5/linux-gnu-c-opt/include;/usr/lib/mpi/gcc/openmpi/include/hypre;/usr/include/suitesparse;/usr/lib/mpi/gcc/openmpi/include;/usr/include/suitesparse;/usr/include/suitesparse;/usr/lib/mpi/gcc/openmpi/include;/usr/include;/usr/lib/mpi/gcc/openmpi/include/openmpi/opal/mca/hwloc/hwloc191/hwloc/include;/usr/lib/mpi/gcc/openmpi/include/openmpi/opal/mca/event/libevent2021/libevent;/usr/lib/mpi/gcc/openmpi/include/openmpi/opal/mca/event/libevent2021/libevent/include;/usr/lib/mpi/gcc/openmpi/include;/usr/lib/mpi/gcc/openmpi/include/openmpi;/usr/include/eigen3;/usr/include;/usr/lib/mpi/gcc/openmpi/include;/usr/lib/mpi/gcc/openmpi/lib/petsc/3.7.5/linux-gnu-c-opt/include;/usr/lib/mpi/gcc/openmpi/include/hypre;/usr/include/suitesparse;/usr/lib/mpi/gcc/openmpi/include;/usr/lib/mpi/gcc/openmpi/include/openmpi/opal/mca/hwloc/hwloc191/hwloc/include;/usr/lib/mpi/gcc/openmpi/include/openmpi/opal/mca/event/libevent2021/libevent;/usr/lib/mpi/gcc/openmpi/include/openmpi/opal/mca/event/libevent2021/libevent/include;/usr/lib/mpi/gcc/openmpi/include;/usr/lib/mpi/gcc/openmpi/include/openmpi;/usr/include/vtk-7.1;/usr/include;/usr/include/freetype2")
set(MSHR_LIBRARIES_DIRS "/usr/lib/mpi/gcc/openmpi/lib")
set(MSHR_EXTERNAL_LIBRARIES "/usr/lib/libpython3.6m.so;dolfin;")
set(MSHR_CXX_DEFINITIONS "-DDOLFIN_VERSION=\"2016.2.0\";-DNDEBUG;-DDOLFIN_SIZE_T=4;-DDOLFIN_LA_INDEX_SIZE=;-DHAS_HDF5;-D_FILE_OFFSET_BITS=64;-D_FORTIFY_SOURCE=2;-DHAS_SLEPC;-DHAS_PETSC;-DHAS_UMFPACK;-DHAS_CHOLMOD;-DHAS_SCOTCH;-DHAS_ZLIB;-DHAS_MPI;-DHAS_OPENMP;-DHAS_VTK")
set(MSHR_CXX_FLAGS "-fomit-frame-pointer -fmessage-length=0 -grecord-gcc-switches -O2 -Wall -D_FORTIFY_SOURCE=2 -fstack-protector-strong -funwind-tables -fasynchronous-unwind-tables -fpermissive    -fopenmp")
set(MSHR_LIBRARIES mshr)

set(MSHR_USE_FILE "${MSHR_CMAKE_DIR}/use-mshr.cmake")
